Subject: bug#39546: 28.0.50; Do not require subr-x at run time

From: "Tassilo Horn" <[email-masked]>
Date: Mon, 10 Feb 2020 21:17:08 +0100

Am Mo, 10. Feb 2020, um 20:59, schrieb Eli Zaretskii:
> > From: Tassilo Horn <[email-masked]>
> > Cc: Tino Calancha <[email-masked]>,  [email-masked],
> >   [email-masked],  [email-masked]
> > Date: Mon, 10 Feb 2020 20:19:05 +0100
> > 
> > I've already submitted patches to hindent (and I think to some other 3rd
> > party package providing code formatting by replacing with the output of
> > some formatting tool) using that function.
> > 
> > Anyway, if it is going to be moved, I'd to ask you to move it in
> > emacs-27 so that I can check for and fix external usages I know of
> > without having to distinguish emacs versions.
> 
> Then maybe we shouldn't move it, just for these reasons.

If we all think that replace.el is the right place and it has the benefit of being loaded at startup, then I'm all for it. The hindent PR is not yet merged anyway, and the other one was quickly accepted, so an addendum patch will be, too.

I'd like to see more usages of that function. Basically every package providing support for external formatters should use it, e.g., I'm going to submit a patch for rust-mode providing formatting using rustfmt anytime soon. So better change it now than regretting that multiple not so uncommon packages require subr-x at runtime.

Bye,
Tassilo